=== debian/control ===
Source: pastewebkit
Section: python
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 5)
Build-Depends-Indep: python-all (>= 2.6.6-3),
 python-setuptools (>= 0.6b3-1~), python-docutils
Standards-Version: 3.9.2
Homepage: http://pythonpaste.org/webkit/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/pastewebkit/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pastewebkit/trunk/
X-Python-Version: >= 2.4

Package: python-pastewebkit
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-paste, python-pastedeploy, python-pastescript,
 python-pkg-resources
Description: port/reimplementation of Webware WebKit in WSGI and Paste
 This is a reimplementation of the Webware WebKit servlet API. This
 implementation uses WSGI internally very heavily, and builds upon the
 framework-neutral tools and services in Paste
