=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

PYVERS=$(shell pyversions -vr)
DOCS=$(shell cd docs && find ./ -name "*.txt" -printf "%p " | sed "s/.txt//g")
PKGDIR=$(CURDIR)/debian/python-pastewebkit
include /usr/share/python/python.mk

clean:
	dh_testdir
	dh_testroot
	rm -rf dist build
	find . -name '*\.py[co]' -delete
	dh_clean build-docs $(PYVERS:%=install-python%)

build: build-indep
build-indep: build-docs
build-arch:

build-docs:
	dh_installdirs
	for NAME in $(DOCS); do \
	    rst2html --cloak-email-addresses --no-toc-backlinks "docs/$$NAME.txt" \
	      > "debian/python-pastewebkit/usr/share/doc/python-pastewebkit/docs/$$NAME.html"; \
	done
	touch $@

install: build $(PYVERS:%=install-python%)
	dh_install

install-python%:
	python$* setup.py install --root $(PKGDIR) \
		--single-version-externally-managed $(py_setup_install_args)
	# pth file is not needed since all paste* packages are installed in same directory
	find $(PKGDIR) \( -name '*.pth' -or -name 'namespace_packages.txt' \) -delete
	# installed to /usr/share/paster_templates/ via dh_install
	rm -rf debian/python-pastewebkit/usr/lib/python$*/site-packages/paste/webkit/paster_templates/
	rm -rf $(PKGDIR)$(call py_libdir,$*)/paste/webkit/paster_templates

binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_link usr/share/doc/python-pastewebkit/docs /usr/share/doc/python-paste/docs/webkit
	dh_python2 -i
	dh_compress -i -X.py
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i -- -Z bzip2

binary-arch:

binary: binary-indep binary-arch

.PHONY: build build-arch build-indep binary binary-arch binary-indep clean install
