=== debian/watch ===
version=3
http://pypi.python.org/packages/source/P/PasteWebKit/PasteWebKit-(.*)\.tar\.gz
